# Laurent - 3.0-0.1mdk - Temporary macros. To remove later
%define _prefix         /opt/kde3/
%define _exec-prefix    /opt/kde3/
%define _bindir         /opt/kde3/bin/
%define _sbindir        /opt/kde3/sbin/
%define _sysconfdir     /opt/kde3/etc/
%define _datadir        /opt/kde3/share/
%define _includedir     /opt/kde3/include/
%define _libdir         /opt/kde3/lib/
%define _libexecdir     /opt/kde3/lib/
%define _localstatedir  /opt/kde3/var/lib/
%define _sharedstatedir /opt/kde3/com/
%define _mandir         /opt/kde3/share/man/
%define _infodir        /opt/kde3/share/info/
%define _docdir         /opt/kde3/share/doc/
%define _menudir        /usr/lib/menu

# Dadou - 2.2.1-3mdk - Reminder: 7.2 is for IA32 only
#                                8.0 is for IA32 and PPC
#                                8.1 is for IA32 and IA64
#                                8.2 is for IA32, IA64 and PPC

# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor7_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 7.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_3 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.3 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %buildfor8_3
%define unstable 1
%else
%define unstable 0
%endif

Name:		kdeadmin3
Icon:		kde-icon.xpm
Summary:	K Desktop Environment - Adminstrative Tools
Version:	3.0.2
Release:	1mdk
URL:		http://www.kde.org/
Epoch:		2
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>

Source:		kdeadmin-%{version}.tar.bz2
Source1:	kpackage.pamd
Patch1:		kdeadmin-2.2-ksysv-mdk-config.diff.bz2
Patch2:		kdeadmin-2.2.1-rpmdep.patch.bz2

Group:		Graphical desktop/KDE
BuildRoot:	%_tmppath/%name-%version-%release-root
License:	GPL
Obsoletes:	kpackage
Provides:	kpackage
Requires:	pciutils

%if %buildfor8_0
BuildRequires:	Mesa-common XFree86-devel XFree86-libs XFree86-static-libs arts3
BuildRequires:	autoconf automake db1 db3 diffutils file freetype2 gawk gcc-c++
BuildRequires:	gcc-cpp gettext kdelibs3 kdelibs3-devel 
BuildRequires:	libbinutils2 libbzip2_1-devel libjpeg62 libjpeg62-devel libmng1
BuildRequires:	libpng2 libqt3 libqt3-devel libtermcap m4 mktemp pam pam-devel
BuildRequires:	popt pwdb readline rpm-build rpm-devel texinfo zlib1 db1-devel
%endif

%if %buildfor8_1
BuildRequires:	XFree86-devel XFree86-libs XFree86-static-libs arts3 autoconf
BuildRequires:	automake db1 diffutils file freetype2-devel gawk gcc-c++ gcc-cpp
BuildRequires:	gettext kdebase3-devel kdelibs3-devel Mesa-common libbinutils2
BuildRequires:	libbzip2_1-devel  libintl1 libjpeg62-devel liblcms1 libmng1-devel
BuildRequires:	libpng2-devel libqt3-devel libstdc++2.10
BuildRequires:	libtermcap2 m4 mktemp perl popt rpm-build rpm-devel texinfo zlib1-devel
%endif

%description
Administrative tools for the K Desktop Environment.




%prep


%setup -q -n kdeadmin-%{version}
#%patch1	-p1
#%patch2 -p1 -b .rpmdep

%build

export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH
%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
        ./configure --prefix=%_prefix \
                    --build=%_target_platform \
                    --enable-shared \
                    --disable-objprelink \
                    --disable-xinerama \
                    --disable-static \
					--enable-final \
                    --disable-rpath \
                    --with-rpm \
                    --with-pam=kde \
                    --with-shadow \
                    --with-quota \
                    --with-nis \
                    --with-homeprefix=/home \
                    --with-private-groups


%make


%install
rm -fr %buildroot
# Dadou - 2.2-0.alpha2.3mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

make install DESTDIR=%buildroot

# Create LMDK menu directory
install -d %buildroot/%_menudir/

export PATH=%_bindir:$PATH

# %%_datadir/applnk/Settings/System
kdedesktop2mdkmenu.pl kdeadmin3 Configuration/KDE/System %buildroot/%_datadir/applnk/Settings/System/linuz.desktop %buildroot/%_menudir/kdeadmin3-klinuz kde

# %%_datadir/applnk/System
kdedesktop2mdkmenu.pl kdeadmin3 Configuration/Other %buildroot/%_datadir/applnk/System/kcron.desktop %buildroot/%_menudir/kdeadmin3-kcron
kdedesktop2mdkmenu.pl kdeadmin3 Configuration/Packaging %buildroot/%_datadir/applnk/System/kpackage.desktop %buildroot/%_menudir/kdeadmin3-kpackage
kdedesktop2mdkmenu.pl kdeadmin3 "Configuration/Boot and Init" %buildroot/%_datadir/applnk/System/ksysv.desktop %buildroot/%_menudir/kdeadmin3-ksysv
kdedesktop2mdkmenu.pl kdeadmin3 Configuration/Other %buildroot/%_datadir/applnk/System/kuser.desktop %buildroot/%_menudir/kdeadmin3-kuser
kdedesktop2mdkmenu.pl kdeadmin3 Configuration/Networking %buildroot/%_datadir/applnk/System/kwuftpd.desktop %buildroot/%_menudir/kdeadmin3-kwuftpd

kdedesktop2mdkmenu.pl kdeadmin3 "Applications/File tools" %buildroot/%_datadir/applnk/Utilities/kdat.desktop %buildroot/%_menudir/kdeadmin3-kdat

# Install kdebase pam configuration file
install -d %buildroot/%_sysconfdir/pam.d
install -m644 %SOURCE1 %buildroot/%_sysconfdir/pam.d/kpackage


%post
%define _bindir         /usr/bin/
/sbin/ldconfig
%update_menus
%define _bindir         /opt/kde3/bin/

%postun
%define _bindir         /usr/bin/
/sbin/ldconfig
%clean_menus
%define _bindir         /opt/kde3/bin/

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%dir %_sysconfdir/pam.d/
%config(noreplace) %_sysconfdir/pam.d/kpackage
#
#
#
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/kcron/
%doc %_docdir/HTML/en/kcron/common
%doc %_docdir/HTML/en/kcron/*.docbook
%doc %_docdir/HTML/en/kcron/*.png
%doc %_docdir/HTML/en/kcron/*.bz2
#
#
%dir %_docdir/HTML/en/kpackage/
%doc %_docdir/HTML/en/kpackage/common
%doc %_docdir/HTML/en/kpackage/*.docbook
%doc %_docdir/HTML/en/kpackage/*.bz2
#
#
%dir %_docdir/HTML/en/ksysv/
%doc %_docdir/HTML/en/ksysv/common
%doc %_docdir/HTML/en/ksysv/*.docbook
%doc %_docdir/HTML/en/ksysv/*.bz2
#
#
%dir %_docdir/HTML/en/kuser/
%doc %_docdir/HTML/en/kuser/common
%doc %_docdir/HTML/en/kuser/*.docbook
%doc %_docdir/HTML/en/kuser/*.bz2
%doc %_docdir/HTML/en/kuser/*.png
#
#
%dir %_docdir/HTML/en/kwuftpd/
%doc %_docdir/HTML/en/kwuftpd/common
%doc %_docdir/HTML/en/kwuftpd/*.docbook
%doc %_docdir/HTML/en/kwuftpd/*.png
%doc %_docdir/HTML/en/kwuftpd/*.bz2
#
%dir %_docdir/HTML/en/kdat/
%doc %_docdir/HTML/en/kdat/*.bz2
%doc %_docdir/HTML/en/kdat/*.docbook
%doc %_docdir/HTML/en/kdat/common
#
#
%_bindir/kcron
%_bindir/kpackage
%_bindir/ksysv
%_bindir/kuser
%_bindir/kwuftpd
%_bindir/secpolicy
%_bindir/kdat
#
#
#
%_libdir/kde3/kcm_linuz.la
#
#
%_libdir/kde3/kcm_linuz.so
#
#
#
%dir %_menudir/
%_menudir/kdeadmin3-kcron
%_menudir/kdeadmin3-klinuz
%_menudir/kdeadmin3-kpackage
%_menudir/kdeadmin3-ksysv
%_menudir/kdeadmin3-kuser
%_menudir/kdeadmin3-kwuftpd
%_menudir/kdeadmin3-kdat
#
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Settings/
%dir %_datadir/applnk/Settings/System/
%_datadir/applnk/Settings/System/*.desktop
#
%dir %_datadir/applnk/System/
%_datadir/applnk/System/*.desktop
#
#
%dir %_datadir/applnk/Utilities/
%_datadir/applnk/Utilities/*.desktop
#
%dir %_datadir/apps/
%dir %_datadir/apps/kcmlinuz/
%dir %_datadir/apps/kcmlinuz/data/
%_datadir/apps/kcmlinuz/data/*.css
%_datadir/apps/kcmlinuz/data/*.png
%_datadir/apps/kcmlinuz/data/*.html
#
#
%dir %_datadir/apps/kpackage/
%dir %_datadir/apps/kpackage/kpackageui.rc
#
%dir %_datadir/apps/kpackage/pics/
%_datadir/apps/kpackage/pics/*.png
#
%dir %_datadir/apps/kpackage/toolbar/
%_datadir/apps/kpackage/toolbar/*.xpm
#
#
%dir %_datadir/apps/ksysv/
%_datadir/apps/ksysv/*.rc
#
%dir %_datadir/apps/ksysv/pics/
%_datadir/apps/ksysv/pics/*.png
#
#
%dir %_datadir/apps/kuser/
%_datadir/apps/kuser/*.rc
#
%dir %_datadir/apps/kuser/icons/
%dir %_datadir/apps/kuser/icons/hicolor/
%dir %_datadir/apps/kuser/icons/hicolor/22x22/
%dir %_datadir/apps/kuser/icons/hicolor/22x22/actions/
%_datadir/apps/kuser/icons/hicolor/22x22/actions/*.png
#
%dir %_datadir/apps/kuser/pics/
%_datadir/apps/kuser/pics/*.png
#
%dir %_datadir/apps/kdat/
%dir %_datadir/apps/kdat/icons/
%dir %_datadir/apps/kdat/icons/hicolor/
%dir %_datadir/apps/kdat/icons/hicolor/16x16/
%dir %_datadir/apps/kdat/icons/hicolor/16x16/apps/
%_datadir/apps/kdat/icons/hicolor/16x16/apps/*.png
%dir %_datadir/apps/kdat/icons/hicolor/32x32/
%dir %_datadir/apps/kdat/icons/hicolor/32x32/apps/
%_datadir/apps/kdat/icons/hicolor/32x32/apps/*.png
%dir %_datadir/apps/kdat/icons/hicolor/48x48/
%dir %_datadir/apps/kdat/icons/hicolor/48x48/apps/
%_datadir/apps/kdat/icons/hicolor/48x48//apps/*.png

%dir %_datadir/apps/kdat/icons/locolor/
%dir %_datadir/apps/kdat/icons/locolor/16x16/
%dir %_datadir/apps/kdat/icons/locolor/16x16/apps/
%_datadir/apps/kdat/icons/locolor/16x16/apps/*.png
%dir %_datadir/apps/kdat/icons/locolor/32x32/
%dir %_datadir/apps/kdat/icons/locolor/32x32/apps/
%_datadir/apps/kdat/icons/locolor/32x32/apps/*.png
#
#
%dir %_iconsdir/
%dir %_iconsdir/hicolor/
%dir %_iconsdir/hicolor/16x16/
%dir %_iconsdir/hicolor/16x16/actions/
%_iconsdir/hicolor/16x16/actions/*.png
#
%dir %_iconsdir/hicolor/16x16/apps/
%_iconsdir/hicolor/16x16/apps/*.png
#
#
%dir %_iconsdir/hicolor/22x22/
%dir %_iconsdir/hicolor/22x22/actions/
%_iconsdir/hicolor/22x22/actions/*.png
#
#
%dir %_iconsdir/hicolor/32x32/
%dir %_iconsdir/hicolor/32x32/actions/
%_iconsdir/hicolor/32x32/actions/*.png
#
%dir %_iconsdir/hicolor/32x32/apps/
%_iconsdir/hicolor/32x32/apps/*.png
#
#
%dir %_iconsdir/hicolor/48x48/
%dir %_iconsdir/hicolor/48x48/apps/
%_iconsdir/hicolor/48x48/apps/*.png
#
#
#
%dir %_datadir/mimelnk/
%dir %_datadir/mimelnk/application/
%_datadir/mimelnk/application/*.desktop
#
%dir %_datadir/mimelnk/text/
%_datadir/mimelnk/text/*.desktop




%changelog
* Thu Jun 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Rebuild against gcc3.1

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Remove 'fomit-frame-pointer'

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.2mdk
- RC3

* Fri Feb 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.2mdk
- fix spec file

* Sun Jan 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2
- Remove static package

* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.1mdk
-

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-3mdk
- kde 3.0 beta1

* Thu Nov 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Improve spec file 

* Fri Nov 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0 try

